
Redmine - Defect #22532

Strip whitespace from login on login page

2016-04-16 23:34 - Artur Borisovich

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version: 3.4.4   

Resolution: Fixed Affected version:  

Description

Spaces in login is removed before user account will saved. But when you try to login  you made a mistake like whitespace before

login or after it will be not you login.

Related issues:

Related to Redmine - Defect #27754: Strip whitespace from email addresses on ... Closed

Associated revisions

Revision 17113 - 2017-12-13 14:58 - Go MAEDA

Strip whitespace from login on login page (#22532).

Patch by Artur Borisovich and Marius BALTEANU.

Revision 17114 - 2017-12-13 15:07 - Go MAEDA

Merged r17113 to 3.4-stable (#22532).

History

#1 - 2016-04-16 23:53 - Artur Borisovich

- File Added_login_trimming_spaces_for_authentication.patch added

Fixed this bug

#2 - 2016-05-11 04:30 - Toshi MARUYAMA

- Category set to Accounts / authentication

#3 - 2017-12-08 09:34 - Marius BĂLTEANU

- Related to Defect #27754: Strip whitespace from email addresses on lost password page added

#4 - 2017-12-08 10:00 - Go MAEDA

- Target version set to 3.4.4

Marius BALTEANU wrote in #27754#note-7:

I think that we should fix also the related issue (#22532) because is almost on the same topic.

 I agree with Marius. I think it would be better to deliver this fix along with #27754.

Setting target version to 3.4.4.

#5 - 2017-12-10 13:21 - Marius BĂLTEANU

- File test_login_should_strip_whitescapes_from_user_name.diff added

The patch attached by Artur Borisovich still applies cleanly. I've added a test for it and I think that we can fix this issue.

#6 - 2017-12-11 12:45 - Go MAEDA

LGTM. I will commit this fix within a few days.
#7 - 2017-12-13 15:00 - Go MAEDA

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed to the trunk. Thank you.

#8 - 2017-12-13 15:08 - Go MAEDA

- Subject changed from Spaces are not removed when the login authorization to Strip whitespace from login on login page

- Status changed from Resolved to Closed

Merged to 3.4-stable.

#9 - 2017-12-13 17:59 - Artur Borisovich

Go MAEDA wrote:

Merged to 3.4-stable.

 Nice, thank you.
